#!/bin/bash
# Copyright Jean-Philippe Guillemin <jpguillemin@sfr.fr>. This program is free software;
# you can redistribute it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version. Please take a look at http://www.gnu.org/copyleft/gpl.htm

case $1/$2 in
	pre/*)
		for i in $( bluetoothctl devices | cut -f2 -d " " ); do 
			bluetoothctl info "$i" | grep -q "Connected: yes" && bluetoothctl disconnect "$i" && echo "$i" > /tmp/.last-bt-device	
		done
		;;
	post/*)
		if [ -e /tmp/.last-bt-device ]; then
			bluetoothctl connect "$(cat /tmp/.last-bt-device)"
			rm -f /tmp/.last-bt-device
		fi
    dbus-send --system --reply-timeout=120000 \
    --type=method_call --dest='org.freedesktop.NetworkManager' \
    '/org/freedesktop/NetworkManager' \
    org.freedesktop.NetworkManager.Sleep boolean:false
		;;
esac

